--- wine-doc-1.0.0.orig/debian/compat
+++ wine-doc-1.0.0/debian/compat
@@ -0,0 +1 @@
+5
--- wine-doc-1.0.0.orig/debian/control
+++ wine-doc-1.0.0/debian/control
@@ -0,0 +1,20 @@
+Source: wine-doc
+Section: otherosfs
+Priority: optional
+Maintainer: Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>
+Uploaders: Ove Kaaven <ovek@arcticnet.no>
+Build-Depends: debhelper (>= 3.0)
+Build-Depends-Indep: docbook-utils, docbook,
+ perl | perl5, gettext (>= 0.11), liblocale-gettext-perl, perl-modules,
+ libsgmls-perl, sp, libtext-wrapi18n-perl, libterm-readkey-perl
+Standards-Version: 3.7.3
+
+Package: wine-doc
+Section: doc
+Architecture: all
+Description: Windows API implementation - documentation
+ Wine is a free MS-Windows API implementation.
+ This is still a work in progress and many applications may still not work.
+ .
+ This package consists of the documentation for Wine.
+
--- wine-doc-1.0.0.orig/debian/winedoc.css
+++ wine-doc-1.0.0/debian/winedoc.css
@@ -0,0 +1,10 @@
+body { background-color: #FFFFFF; color: #000000; }
+
+a:link { color: #a50d0d; }
+a:visited { color: #505050; }
+a:active { color: #a50d0d; }
+
+.screen { background-color: #E0D0D0; padding: 0.5ex; }
+.question { border-top: dashed thin; font-weight: bolder; }
+
+.userinput { font-weight: bold; }
--- wine-doc-1.0.0.orig/debian/wineprint.dsl
+++ wine-doc-1.0.0/debian/wineprint.dsl
@@ -0,0 +1,111 @@
+<!DOCTYPE style-sheet PUBLIC "-//James Clark//DTD DSSSL Style Sheet//EN" [
+<!ENTITY print-ss PUBLIC "-//Norman Walsh//DOCUMENT DocBook Print Stylesheet//EN" CDATA DSSSL>
+]>
+
+<style-sheet>
+
+<style-specification id="print" use="print-stylesheet">
+<style-specification-body>
+
+;; I was hoping that this would take out the many blank pages in the
+;; PDF file, but it doesn't, it just slides the page numbers over.
+(define %two-side% #f)
+
+(define %generate-book-titlepage% #t)
+
+;;Titlepage Not Separate
+(define (chunk-skip-first-element-list)
+ (list (normalize "sect1")
+ (normalize "section")))
+
+;;Titlepage Separate?
+;(define (chunk-skip-first-element-list)
+; '())
+
+(define (list-element-list)
+ ;; fixes bug in Table of Contents generation
+ '())
+
+(define (toc-depth nd)
+ 2)
+
+;; This seems to have no affect
+(define %generate-book-titlepage-on-separate-page% #f)
+
+(define %body-start-indent%
+ ;; Default indent of body text
+ 2pi)
+
+(define %para-indent-firstpara%
+ ;; First line start-indent for the first paragraph
+ 0pt)
+
+(define %para-indent%
+ ;; First line start-indent for paragraphs (other than the first)
+ 0pt)
+
+(define %block-start-indent%
+ ;; Extra start-indent for block-elements
+ 2pt)
+
+;;Define distance between paragraphs
+(define %para-sep%
+ (/ %bf-size% 2.0))
+
+;;Define distance between block elements (figures, tables, etc.).
+(define %block-sep%
+ (* %para-sep% 1.0))
+;; (* %para-sep% 2.0))
+
+(define %hyphenation%
+ ;; Allow automatic hyphenation?
+ #t)
+
+(define %left-margin% 5pi)
+(define %right-margin% 5pi)
+(define %top-margin% 5pi)
+(define %bottom-margin% 5pi)
+
+(define %footer-margin% 2pi)
+(define %header-margin% 2pi)
+
+(define %line-spacing-factor% 1.3)
+ ;; Factor used to calculate leading
+ ;; The leading is calculated by multiplying the current font size by the
+ ;; '%line-spacing-factor%'. For example, if the font size is 10pt and
+ ;; the '%line-spacing-factor%' is 1.1, then the text will be
+ ;; printed "10-on-11".
+
+(define %head-before-factor%
+ ;; Factor used to calculate space above a title
+ ;; The space before a title is calculated by multiplying the font size
+ ;; used in the title by the '%head-before-factor%'.
+;; 0.75)
+ 0.5)
+
+(define %head-after-factor%
+ ;; Factor used to calculate space below a title
+ ;; The space after a title is calculated by multiplying the font size used
+ ;; in the title by the '%head-after-factor%'.
+ 0.5)
+
+(define %input-whitespace-treatment% 'collapse)
+
+(define ($generate-book-lot-list$)
+ ;; Which Lists of Titles should be produced for Books?
+ (list ))
+
+(define tex-backend
+ ;; Are we using the TeX backend?
+ ;; This parameter exists so that '-V tex-backend' can be used on the
+ ;; command line to explicitly select the TeX backend.
+ #t)
+
+</style-specification-body>
+</style-specification>
+
+<external-specification id="print-stylesheet" document="print-ss">
+
+</style-sheet>
+
+
--- wine-doc-1.0.0.orig/debian/wine-doc.dirs
+++ wine-doc-1.0.0/debian/wine-doc.dirs
@@ -0,0 +1,5 @@
+usr/share
+usr/share/doc
+usr/share/doc/wine-doc
+usr/share/doc/wine-doc/sgml
+usr/share/doc/wine-doc/html
--- wine-doc-1.0.0.orig/debian/rules
+++ wine-doc-1.0.0/debian/rules
@@ -0,0 +1,80 @@
+#!/usr/bin/make -f
+# Sample debian/rules that uses debhelper.
+# GNU copyright 1997 to 1999 by Joey Hess.
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+DB2HTML = docbook2html
+HTMLDIR = debian/wine-doc/usr/share/doc/wine-doc/html
+HTMLDSL = debian/winehtml.dsl
+HTMLCSS = debian/winedoc.css
+
+configure: configure-stamp
+configure-stamp:
+ dh_testdir
+ ./configure
+
+ touch configure-stamp
+
+build-indep: configure-stamp build-indep-stamp
+build-indep-stamp:
+ dh_testdir
+
+ # generate HTML documentation
+# $(MAKE) html
+
+ touch build-indep-stamp
+
+build: build-indep
+
+clean:
+ dh_testdir
+ dh_testroot
+ rm -f build-indep-stamp configure-stamp
+
+ # distclean accidentally destroys po4a/Makefile, need to save it
+ mv po4a/Makefile po4a/Makefile.in
+ -$(MAKE) distclean
+ mv po4a/Makefile.in po4a/Makefile
+
+ dh_clean
+
+install-indep: build-indep
+ dh_testdir
+ dh_testroot
+ dh_installdirs -i
+
+ # generate HTML documentation with desired stylesheet
+ $(DB2HTML) -d $(HTMLDSL) -o `pwd`/$(HTMLDIR)/winedev en/winedev-guide.sgml
+ cp $(HTMLCSS) $(HTMLDIR)/winedev
+ $(DB2HTML) -d $(HTMLDSL) -o `pwd`/$(HTMLDIR)/wineusr en/wineusr-guide.sgml
+ cp $(HTMLCSS) $(HTMLDIR)/wineusr
+ $(DB2HTML) -d $(HTMLDSL) -o `pwd`/$(HTMLDIR)/winelib en/winelib-guide.sgml
+ cp $(HTMLCSS) $(HTMLDIR)/winelib
+
+install: install-indep
+
+binary-arch:
+
+# Build architecture-independent files here.
+binary-indep: build-indep install-indep
+ dh_testdir
+ dh_testroot
+
+ cp en/*.sgml debian/*.dsl \
+ debian/wine-doc/usr/share/doc/wine-doc/sgml
+# cp documentation/*.html $(HTMLCSS) $(HTMLDIR)
+
+ dh_installdocs -i
+ dh_installchangelogs -i
+ dh_compress -i -X-guide.sgml
+ dh_fixperms -i
+ dh_installdeb -i
+ dh_gencontrol -i
+ dh_md5sums -i
+ dh_builddeb -i
+
+binary: binary-arch binary-indep
+.PHONY: build-indep build clean binary-arch binary-indep binary \
+ install-indep install configure
--- wine-doc-1.0.0.orig/debian/copyright
+++ wine-doc-1.0.0/debian/copyright
@@ -0,0 +1,16 @@
+Wine has been 1st debianized by Brian White, first
+taken over by Vincent Renardias, then by Andrew Lenharth.
+This package is maintained by Ove Kaaven.
+
+The Wine homepage is http://www.winehq.com/
+
+Copyright (c) 1993-2002 the Wine project authors (see the file AUTHORS
+for a complete list)
+
+Wine is free software; you can redistribute it and/or modify it under
+the terms of the GNU Lesser General Public License as published by the
+Free Software Foundation; either version 2.1 of the License, or (at
+your option) any later version.
+
+On Debian systems, the complete text of the GNU Library General Public
+License can be found in /usr/share/common-licenses/LGPL-2.1 file.
--- wine-doc-1.0.0.orig/debian/wine-doc.doc-base.winelib
+++ wine-doc-1.0.0/debian/wine-doc.doc-base.winelib
@@ -0,0 +1,12 @@
+Document: winelib-guide
+Title: Winelib User's Guide
+Author: The Wine Team
+Abstract: This manual describes how to write applications with Winelib.
+Section: Emulators
+
+Format: debiandoc-sgml
+Files: /usr/share/doc/wine-doc/sgml/winelib-guide.sgml
+
+Format: HTML
+Index: /usr/share/doc/wine-doc/html/winelib/index.htm
+Files: /usr/share/doc/wine-doc/html/winelib/*.htm
--- wine-doc-1.0.0.orig/debian/wine-doc.docs
+++ wine-doc-1.0.0/debian/wine-doc.docs
@@ -0,0 +1 @@
+README
--- wine-doc-1.0.0.orig/debian/winehtml.dsl
+++ wine-doc-1.0.0/debian/winehtml.dsl
@@ -0,0 +1,27 @@
+<!DOCTYPE style-sheet PUBLIC "-//James Clark//DTD DSSSL Style Sheet//EN" [
+<!ENTITY walsh-style PUBLIC "-//Norman Walsh//DOCUMENT DocBook HTML Stylesheet//EN" CDATA DSSSL>
+<!ENTITY cygnus-style SYSTEM "/usr/lib/sgml/stylesheet/dsssl/docbook/cygnus/cygnus-both.dsl" CDATA DSSSL>
+]>
+
+<style-sheet>
+<style-specification id="html" use="docbook">
+<style-specification-body>
+
+; Use the section id as the filename rather than
+; cryptic filenames like x1547.html
+(define %use-id-as-filename% #t)
+
+; Repeat the section number in each section to make it easier
+; when browsing the doc
+(define %section-autolabel% #t)
+
+; Use CSS to make the look of the documentation customizable
+(define %stylesheet% "winedoc.css")
+(define %stylesheet-type% "text/css")
+
+</style-specification-body>
+</style-specification>
+
+<external-specification id="docbook" document="walsh-style">
+
+</style-sheet>
--- wine-doc-1.0.0.orig/debian/watch
+++ wine-doc-1.0.0/debian/watch
@@ -0,0 +1,3 @@
+version=3
+http://ibiblio.org/pub/linux/system/emulators/wine/wine-docs-([\d].*)\.tar\.bz2 \
+ debian debian/maint/import
--- wine-doc-1.0.0.orig/debian/wine-doc.doc-base.wineusr
+++ wine-doc-1.0.0/debian/wine-doc.doc-base.wineusr
@@ -0,0 +1,13 @@
+Document: wineusr-guide
+Title: Wine User's Guide
+Author: The Wine Team
+Abstract: This manual describes how to configure and use Wine,
+ the Windows Emulator.
+Section: Emulators
+
+Format: debiandoc-sgml
+Files: /usr/share/doc/wine-doc/sgml/wineusr-guide.sgml
+
+Format: HTML
+Index: /usr/share/doc/wine-doc/html/wineusr/index.htm
+Files: /usr/share/doc/wine-doc/html/wineusr/*.htm
--- wine-doc-1.0.0.orig/debian/wine-doc.doc-base.winedev
+++ wine-doc-1.0.0/debian/wine-doc.doc-base.winedev
@@ -0,0 +1,12 @@
+Document: winedev-guide
+Title: Wine Developer's Guide
+Author: The Wine Team
+Abstract: This manual describes how to become a Wine developer.
+Section: Emulators
+
+Format: debiandoc-sgml
+Files: /usr/share/doc/wine-doc/sgml/winedev-guide.sgml
+
+Format: HTML
+Index: /usr/share/doc/wine-doc/html/winedev/index.htm
+Files: /usr/share/doc/wine-doc/html/winedev/*.htm
--- wine-doc-1.0.0.orig/debian/changelog
+++ wine-doc-1.0.0/debian/changelog
@@ -0,0 +1,84 @@
+wine-doc (1.0.0-1) unstable; urgency=low
+
+ * Documentation snapshot for the Wine 1.0 release.
+ * Now that the upstream docs repository has finally moved to git, I
+ moved the wine-doc packaging to pkg-wine's git repository on alioth.
+ Made the pkg-wine-party mailing list the official maintainer of the
+ wine-doc package, and myself an uploader.
+ * Adapted some maintainer scripts from the Wine packaging.
+ * Added a debian/watch file.
+ * Changed doc-base section fields from Apps/Emulators to Emulators, to
+ comply with current policy.
+ * Renamed HTML documentation directories to more closely follow
+ upstream document naming, and fixed SGML documentation file paths in
+ doc-base files.
+ * Upgraded debhelper compatibility level to 5.
+ * Moved debhelper from Build-Depends-Indep to Build-Depends.
+ * Upgraded Standards-Version to 3.7.3.
+ * Preserve po4a/Makefile in debian/rules clean.
+
+ -- Ove Kaaven <ovek@arcticnet.no> Wed, 18 Jun 2008 09:44:02 +0200
+
+wine-doc (0.9.52-2) unstable; urgency=low
+
+ * Adjusted package description to match the description
+ updates of wine 0.9.52-2.
+
+ -- Ove Kaaven <ovek@arcticnet.no> Sat, 12 Jan 2008 14:35:35 +0100
+
+wine-doc (0.9.52-1) unstable; urgency=low
+
+ * Documentation snapshot for the Wine 0.9.52 release.
+ (Yeah, looks like it's been a while since I last
+ updated the docs package...) Closes: #415975.
+ * There's no longer a FAQ in here, go look at
+ http://wiki.winehq.org/FAQ for that. I'm not sure
+ how to package Wiki content, nor whether I want to...
+ * Upgraded debhelper compatibility level to 4.
+ * Added empty binary-arch rule. Closes: #395649.
+ * Those SGML index files aren't compressed now.
+ Closes: #416432.
+
+ -- Ove Kaaven <ovek@arcticnet.no> Fri, 28 Dec 2007 17:29:50 +0100
+
+wine-doc (0.9-1) unstable; urgency=low
+
+ * Documentation snapshot for the Wine 0.9 release.
+
+ -- Ove Kaaven <ovek@arcticnet.no> Thu, 27 Oct 2005 21:31:50 -0400
+
+wine-doc (0.0.20050725-1) unstable; urgency=low
+
+ * Documentation snapshot checked out shortly after the
+ 20050725 release.
+
+ -- Ove Kaaven <ovek@arcticnet.no> Tue, 26 Jul 2005 01:28:37 -0400
+
+wine-doc (0.0.20050628-1) unstable; urgency=low
+
+ * Documentation snapshot checked out shortly after the
+ 20050628 release.
+
+ -- Ove Kaaven <ovek@arcticnet.no> Wed, 29 Jun 2005 11:43:53 -0400
+
+wine-doc (0.0.20050524-2) unstable; urgency=low
+
+ * Although there's no upstream ChangeLog for wine-doc I can
+ package at this time, I should probably still install the
+ Debian changelog. Closes: #312085.
+
+ -- Ove Kaaven <ovek@arcticnet.no> Sun, 5 Jun 2005 12:29:59 -0400
+
+wine-doc (0.0.20050524-1) unstable; urgency=low
+
+ * The Wine documentation has been moved into a separate
+ CVS repository, and is no longer released as part of
+ the upstream Wine releases. This documentation snapshot
+ was checked out shortly after the 20050524 release.
+
+ -- Ove Kaaven <ovek@arcticnet.no> Thu, 2 Jun 2005 14:48:40 -0400
+
+
+Local variables:
+mode: debian-changelog
+End:
--- wine-doc-1.0.0.orig/debian/maint/build-final
+++ wine-doc-1.0.0/debian/maint/build-final
@@ -0,0 +1,28 @@
+#!/bin/sh
+set -e
+version=`dpkg-parsechangelog|sed -n 's/Version: \(.*\)/\1/p'`
+# see if the version in the changelog is tagged (already built)
+obj_type="`git-cat-file -t "wine-doc-$version" 2>/dev/null`" || true
+if [ -n "$obj_type" ]
+then
+ # it is, so only grab changes since then
+ last_version="$version"
+else
+ # it's not, this must be the dummy changelog from import-done,
+ # so grab changes since version before that
+ last_version=`dpkg-parsechangelog -o1 -c1|sed -n 's/Version: \(.*\)/\1/p'`
+fi
+# build changelog
+git-dch --release --auto --full --meta \
+ --debian-tag="wine-doc-$last_version" \
+ --git-log="--first-parent"
+# commit changelog
+version=`dpkg-parsechangelog|sed -n 's/Version: \(.*\)/\1/p'`
+git add debian/changelog
+git commit -m "Release $version"
+# build package
+git-buildpackage \
+ --git-upstream-tag="wine-doc-%(version)s" \
+ --git-debian-tag="wine-doc-%(version)s" \
+ --git-tag \
+ "$@"
--- wine-doc-1.0.0.orig/debian/maint/import-done
+++ wine-doc-1.0.0/debian/maint/import-done
@@ -0,0 +1,14 @@
+#!/bin/sh
+set -e
+if [ "$1" != "--upstream-version" ]
+then
+ echo "Usage: $0 --upstream-version VERSION"
+ exit 1
+fi
+upstream_version="$2"
+# Create changelog entry, so build tools can find the upstream version
+dch -v "$upstream_version-1" --distribution UNRELEASED --preserve \
+ "UNRELEASED"
+git add debian/changelog
+# Amend the merge commit message
+git commit --amend -m "Documentation snapshot for the Wine $upstream_version release."
--- wine-doc-1.0.0.orig/debian/maint/build
+++ wine-doc-1.0.0/debian/maint/build
@@ -0,0 +1,6 @@
+#!/bin/sh
+set -e
+git-buildpackage \
+ --git-upstream-tag="wine-doc-%(version)s" \
+ --git-debian-tag="wine-doc-%(version)s" \
+ "$@"
--- wine-doc-1.0.0.orig/debian/maint/import
+++ wine-doc-1.0.0/debian/maint/import
@@ -0,0 +1,57 @@
+#!/bin/sh
+set -e
+if [ "$1" != "--upstream-version" ]
+then
+ echo "Usage: $0 --upstream-version VERSION FILENAME"
+ exit 1
+fi
+upstream_version="$2"
+origfilename="$3"
+
+# dereference symlink, we'll stash the original filename into pristine-tar
+# (currently, debian does not allow .tar.bz2 source packages anyway, so this
+# reserves the .orig.tar.* names for what's actually uploaded to Debian)
+if [ -L "$origfilename" ]
+then
+ filename="`find "$origfilename" -printf "%h/%l"`"
+else
+ filename="$origfilename"
+fi
+
+# craft the .orig.tar.gz for the Debian source package
+debfilename="`dirname "$origfilename"`/wine-doc_$upstream_version.orig.tar.gz"
+if [ "$filename" != "$origfilename" ] && [ "$origfilename" != "$debfilename" ]
+then
+ # kill .orig.tar.bz2, we won't use it
+ rm "$origfilename"
+fi
+if [ ! -f "$debfilename" ]
+then
+ # convert .orig.tar.gz
+ bzcat "$filename"|gzip -9 > "$debfilename"
+fi
+
+# if we're not building from a git tree, use regular uupdate
+if [ ! -d ".git" ]
+then
+ exec uupdate --no-symlink "$*"
+fi
+
+# pull from upstream git repository
+upstream_tag="wine-docs-$upstream_version"
+git checkout upstream
+git pull winehq tag "$upstream_tag"
+
+# load original .tar.bz2 into pristine-tar
+git checkout master
+pristine-tar -v commit "$filename" "$upstream_tag"
+
+# load converted .tar.gz into pristine-tar
+pristine-tar -v commit "$debfilename" "$upstream_tag"
+
+# merge from upstream into master branch
+git checkout -q master
+git merge upstream
+
+# amend the merge commit message
+$0-done --upstream-version "$upstream_version"